java中spring boot的目标是什么?需要准备哪些环境?

BSO 2020-10-26 16:17:02 java常见问答 8910

上次已经为大家介绍过java中spring boot有哪些配置的主要内容了,今天再来简述一些与spring boot相关的内容,也就是java中spring boot的目标是什么以及需要准备哪些环境?一起来看看吧。

首先说一下,spring boot主要目标是:

1.为所有spring的开发提供一个从根本上更快的入门体验。

2.开箱即用,但通过自己设置参数,即可快速摆脱这种方式。

3. 提供了一些大型项目中常见的非功能性特性,如内嵌服务器、安全、指标,健康检测、外部化配置等

4.绝对没有代码生成,也无需XML配置。

然后说一下,需要准备哪些环境?

数据库:MysQL

IDE:Eclipse Mars2

spring-boot:1.4.4

Maven:3.3.3(官方声明1.4.4版本需要Maven 3.2+)

本地仓库:需要使用资料中的仓库

接下来,创建一个Maven工程

然后,添加依赖

在pom.xml中添加依赖,代码如下:

<parent>

<groupId>org.springframework.boot</groupId>

<artifactId>spring-boot-starter-parent</artifactId>

<version>1.4.4.RELEASE</version>

</parent> <
groupId > cn.cnn.springboot < /groupId> <
    artifactId > cnn - springboot < /artifactId> <
    version > 0.0 .1 - SNAPSHOT < /version> <
    dependencies >
    <dependency>

<groupId>org.springframework.boot</groupId>

<artifactId>spring-boot-starter-web</artifactId>

</dependency> <
    /dependencies>

会发现,我们的工程自动添加了好多好多jar包,而这些jar 包正式我们做开发时需要导入的jar包。因为这些jar包被我们刚才加入的spring-boot-starter-web所引用了,所以添加spring-boot-starter-web后会自动把依赖传递过来。

最后是,变更jDK版本

我们发现默认情况下工程的jDK版本是1.6,但是通常使用的是1.7的版本。修改jDK为1.7,需要在pom.xml中添加以下配置,代码如下:

<properties>

<java.version>1.7</java.version>

</properties>

使用Maven更新工程后,就发现版本已经变成1.8了。虽然jDK1.6或者1.7都可以使用spring-boot,但spring-boot官方建议使用jDK1.8。要使用jDK1.8,首先必须要配置jDK1.8后,才可以使用上述方法设置。

以上就是关于java中spring boot的目标是什么以及需要准备哪些环境的主要内容了。可以看出步骤还是比较详细的。如果你对java知识感兴趣,想要了解更多常见问题,敬请关注奇Q工具网。

推荐阅读:

java spring boot是什么?图文详解

spring boot如何修改默认端口号?实现方法详解

Spring Boot菜鸟教程,如何快速创建一个Spring Boot项目?